Bug 203434 - CVE-2006-4227 mysql improper suid argument evaluation
CVE-2006-4227 mysql improper suid argument evaluation
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-08-21 16:58 EDT by Josh Bressers
Modified: 2013-07-02 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.27-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 21:21:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-21 16:58:48 EDT
+++ This bug was initially created as a clone of Bug #203432 +++

MySQL improperly evaluates the argument passed to suid in the context of the
routine's definer, not in the context of the caller.  This could possibly lead
to privilege escalation.

The upstream bug has more information:
Comment 1 Mark J. Cox (Product Security) 2006-09-15 05:04:12 EDT
still needed
Comment 2 Mark J. Cox (Product Security) 2006-09-25 06:21:25 EDT
CVE-2006-4227 VULNERABLE (mysql, fixed 5.0.25,5.1.12) bz#203434
marking as FC6Blocker

Note You need to log in before you can comment on or make changes to this bug.